| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csIdentStrings Class Reference

Helper class that contains a list of identifiers and their names. More...

`#include <cstool/identstrings.h>`

List of all members.

## Public Member Functions
| csIdentStrings (const csIdentString *str, csString *scratch, size_t cnt)
const char * | StringForIdent (int ident)
| Obtain the name of ident.
## Protected Attributes
csString * | scratch
size_t | stringCount
const csIdentString * | strings
## Classes
struct | csIdentString

## Detailed Description

Helper class that contains a list of identifiers and their names.

Definition at line 32 of file identstrings.h.

## Member Function Documentation

const char* csIdentStrings::StringForIdent | ( | int | ident | ) | `[inline]`

Obtain the name of ident.

Remarks:
  The returned string is only guaranteed to be valid until the next StringForIdent() call.

Definition at line 52 of file identstrings.h.

References csStringBase::Format(), csStringFast< LEN >::GetData(), scratch, csIdentStrings::csIdentString::str, stringCount, and strings.

The documentation for this class was generated from the following file:

- cstool/identstrings.h